<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );
	
	class AdminNewAdBlockAction extends AdminAction
	{
		function AdminNewAdBlockAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );			
			$this->requireAdminPermission( "manage_ad_blocks" );
		}
		
		function perform()
		{
			$this->_view = new AdminPluginTemplatedView( $this->_blogInfo, "ads",  "newadblock" );
			$this->setCommonData();
			
			return( parent::perform());
		}
	}
?>